Subject: Re: Audio codec device tree entries

From: Timur Tabi <[email-masked]>
Date: Wed, 24 Oct 2007 11:41:49 -0500

Grant Likely wrote:

> If you need to scan the tree, don't do it when the driver registers,
> do it in the platform code instead.  Otherwise you unconditionally
> incur the penalty of scanning the whole device tree on every system
> that loads the driver, regardless of whether or not the device is
> present.

So your saying that the fabric driver should be embedded in the platform driver?